﻿
@using Jumbula.Common.Helper
@model ParentInvoiceViewModel
@{
    Layout = null;
}


<html>
<head>
    <meta name="viewport" content="width=device-width" />
</head>
<body>

    <table border="0" style="text-align:center; letter-spacing: .5px;font-family: verdana ; width: 100%;font-size: 7px; border-top:1px solid;border-collapse: collapse;">
        <thead>

            <tr>
                <td colspan="4">
                    <img src=@Model.InfoModel.ClubUrlLogo width="80" height="100" />
                </td>

                <td style="height:200px;border:1px solid;" colspan="2">
                    <p style="font-size:13px;color:lightslategray">INVOICE</p>
                    <p> &nbsp; </p>
                    @if (Model.InfoModel.StatusInvoice == "Paid")
                    {
                        <img src=@Server.MapPath("/Images/Registrant/invoice_paid.PNG") width="195" height="25" />
                    }
                    else if (Model.InfoModel.StatusInvoice == "Canceled")
                    {
                        <img src=@Server.MapPath("/Images/Registrant/invoice_canceled.PNG") width="195" height="25" />
                    }
                </td>
            </tr>

            <tr style="margin-bottom:30px">
                <td width="70%" colspan="4">
                    <p>@Model.InfoModel.ClubName</p>
                    <p>@Model.InfoModel.ClubAddress</p>
                    <p>&nbsp;</p>
                    <p>@Model.InfoModel.ContactClubEmail</p>
                    <p>@Model.InfoModel.ClubSite</p>
                    <p style="height:200px">&nbsp;</p>
                    <p>&nbsp;</p>

                </td>

                <td width="30%" colspan="2">
                    <p>Invoice #: @Model.InfoModel.InvoiceNumber</p>
                    @if (Model.InfoModel.Refrense != null)
                    {
                        <p>Reference: @Model.InfoModel.Refrense</p>
                    }
                    @*<p>Due date: @Model.InfoModel.StrDueDate</p>*@
                    <p>Due date: @Model.InfoModel.StrDueDate</p>

                </td>

            </tr>

            <tr>
                <td colspan="4">
                    &nbsp;
                </td>
                <td border="1" colspan="1">
                    @*<p>Amount Due: <br />@Model.InfoModel.AmountDue</p>*@
                    <p>Amount Due: <br />@CurrencyHelper.FormatCurrencyWithPenny(@Model.InfoModel.AmountDue, Model.InfoModel.Currency)</p>

                </td>
                <td colspan="1">
                    &nbsp;
                </td>
            </tr>

            <tr>
                <td colspan="6">
                    <p> &nbsp; </p>
                    <p> &nbsp; </p>
                </td>
            </tr>


            <tr>
                <td colspan="6" width="25%" height="30%">
                    <div style="height:900px">
                        <p>Bill to</p>
                        <p>@Model.InfoModel.UserEmail</p>
                        <p>@Model.InfoModel.EmailCc</p>
                    </div>
                    <div style="height:200px">&nbsp;</div>
                </td>
            </tr>

            <tr>
                <td colspan="6">
                    <p> &nbsp; </p>
                    <p> &nbsp; </p>
                </td>
            </tr>

            <tr style="text-decoration:underline; color:blue; border-top:1px solid">
                <td width="20%">Date</td>
                <td width="25%">Confirmation </td>
                <td width="10%">Amount</td>
                <td width="10%">Paid</td>
                <td width="15%">Balance</td>
                <td width="20%">Invoice amount</td>
            </tr>
        </thead>

        <tbody>


            @foreach (var order in Model.InvoiceItemModel.Orders)
            {
                <tr>
                    <td>@order.StrOrderDate</td>
                    <td>@order.ConfirmationId</td>
                    <td>@CurrencyHelper.FormatCurrencyWithPenny(@order.OrderAmount, Model.InfoModel.Currency)</td>
                    <td>@CurrencyHelper.FormatCurrencyWithPenny(@order.PaidAmount, Model.InfoModel.Currency)</td>
                    <td>@CurrencyHelper.FormatCurrencyWithPenny(@order.Balance, Model.InfoModel.Currency)</td>
                    @if (Model.InfoModel.StatusInvoice != "Paid")
                    {
                        <td>@CurrencyHelper.FormatCurrencyWithPenny(@order.InvoiceAmount, Model.InfoModel.Currency)</td>
                    }
                    else
                    {
                        <td>$0.00</td>
                    }
                </tr>


                //row 2
                <tr style="border-top:1px solid">
                    <td colspan="6">
                        <table border="0" style="text-align:center; letter-spacing: .5px;font-family: verdana ; width: 100%;font-size: 7px; border-top:1px solid;">

                            <tr style="text-decoration:underline; color:blue; border-top:1px solid">
                                <td width="20%" style="padding-left:10px">Participant</td>
                                <td width="25%">Program name </td>
                                <td width="10%">Amount</td>
                                <td width="10%">Paid</td>
                                <td width="15%">Balance</td>
                                <td width="20%">Invoice amount</td>
                            </tr>

                            <text>
                                @foreach (var orderItem in Model.InvoiceItemModel.OrderItems.Where(o => o.OrderId == order.Id))
                                {
                                    <tr>
                                        <td style="padding-left:10px">@orderItem.Attendee</td>
                                        <td>@orderItem.ProgramName</td>
                                        <td>@CurrencyHelper.FormatCurrencyWithPenny(@orderItem.EntryFee, Model.InfoModel.Currency)</td>
                                        <td>@CurrencyHelper.FormatCurrencyWithPenny(@orderItem.PaidAmount, Model.InfoModel.Currency)</td>
                                        <td>@CurrencyHelper.FormatCurrencyWithPenny(@orderItem.Balance, Model.InfoModel.Currency)</td>
                                        @if (Model.InfoModel.StatusInvoice != "Paid")
                                        {
                                            if (orderItem.PaymentplanType == PaymentPlanType.Installment)
                                            {
                                                <td>@CurrencyHelper.FormatCurrencyWithPenny(@orderItem.InvoiceAmount, Model.InfoModel.Currency)</td>
                                                @*<td>@orderItem.InvoiceAmount</td>*@
                                            }
                                            else
                                            {
                                                <td>@CurrencyHelper.FormatCurrencyWithPenny(@orderItem.Balance, Model.InfoModel.Currency)</td>
                                                @*<td>@orderItem.Balance</td>*@
                                            }
                                        }
                                        else
                                        {
                                            <td>$0.00</td>
                                        }
                                    </tr>


                                    if (orderItem.PaymentplanType == PaymentPlanType.Installment)
                                    {
                                        //row 3
                                        <tr>
                                            <td colspan="6">
                                                <table border="0" style="text-align:center; letter-spacing: .5px;font-family: verdana ; width: 100%;font-size: 7px; border-top:1px solid;">

                                                    <tr style="text-decoration:underline; color:blue; border-top:1px solid">
                                                        <td width="20%" style="padding-left:20px">Due date</td>
                                                        <td width="25%">Paid on </td>
                                                        <td width="10%">Amount</td>
                                                        <td width="10%">Paid</td>
                                                        <td width="15%">Balance</td>
                                                        <td width="20%">Invoice amount</td>
                                                    </tr>

                                                    @foreach (var instalments in Model.InvoiceItemModel.Instalments.Where(o => o.OrderItemId == orderItem.Id))
                                                    {
                                                        <tr>
                                                            <td style="padding-left:20px">@instalments.StrDueDate</td>
                                                            <td>@instalments.StrPaidDate</td>
                                                            <td>@CurrencyHelper.FormatCurrencyWithPenny(@instalments.Amount, Model.InfoModel.Currency)</td>
                                                            <td>@CurrencyHelper.FormatCurrencyWithPenny(@instalments.PaidAmount, Model.InfoModel.Currency)</td>
                                                            <td>@CurrencyHelper.FormatCurrencyWithPenny(@instalments.Balance, Model.InfoModel.Currency)</td>

                                                            @if (Model.InfoModel.StatusInvoice != "Paid")
                                                            {
                                                                <td>@CurrencyHelper.FormatCurrencyWithPenny(@instalments.Balance, Model.InfoModel.Currency)</td>
                                                                @*<td>@instalments.Balance</td>*@
                                                            }
                                                            else
                                                            {
                                                                <td>$0.00</td>
                                                            }

                                                        </tr>
                                                    }

                                                </table>

                                            </td>
                                        </tr>

                                    }

                                }


                            </text>



                        </table>
                    </td>
                </tr>

            }

            @*Space*@
            <tr>
                <td colspan="6">
                    <p> &nbsp; </p>
                    <p> &nbsp; </p>
                    <p> &nbsp; </p>
                    <p> &nbsp; </p>
                </td>
            </tr>

            <tr style="text-align:right">
                <td colspan="4">&nbsp;</td>

                <td border="1">
                    Subtotal
                </td>
                <td border="1">
                    @CurrencyHelper.FormatCurrencyWithPenny(@Model.InfoModel.TotalAmount, Model.InfoModel.Currency)
                    @*@Model.InfoModel.TotalAmount*@
                </td>

            </tr>


            <tr style="text-align:right">
                <td colspan="4">&nbsp;</td>

                <td border="1">
                    Total
                </td>
                <td border="1">
                    @CurrencyHelper.FormatCurrencyWithPenny(@Model.InfoModel.TotalAmount, Model.InfoModel.Currency)
                    @*@Model.InfoModel.TotalAmount*@
                </td>

            </tr>



            <tr style="text-align:right">
                <td colspan="4">&nbsp;</td>
                <td border="1">
                    Amount paid
                </td>
                <td border="1">
                    @CurrencyHelper.FormatCurrencyWithPenny(@Model.InfoModel.AmountPaid, Model.InfoModel.Currency)
                    @*@Model.InfoModel.AmountPaid*@
                </td>

            </tr>


            <tr style="text-align:right">
                <td colspan="4">&nbsp;</td>
                <td border="1">
                    Amount due
                </td>
                <td border="1">
                    @CurrencyHelper.FormatCurrencyWithPenny(@Model.InfoModel.AmountDue, Model.InfoModel.Currency)
                    @*@Model.InfoModel.AmountDue*@
                </td>
            </tr>


            <tr>
                <td colspan="6">
                    <p> &nbsp; </p>
                    <p> &nbsp; </p>
                </td>
            </tr>


            @if (Model.InfoModel.NoteToRecipient != null)
            {
                <tr>

                    <td colspan="3">
                        <p>Note to recipient</p>
                    </td>

                    <td colspan="3">
                        &nbsp;
                    </td>

                </tr>

                <tr>

                    <td colspan="2" border="1">
                        <textarea border="1">@Html.Raw(Model.InfoModel.NoteToRecipient.Replace("\n", "</br>"))</textarea>
                    </td>

                    <td colspan="4">
                        &nbsp;
                    </td>

                </tr>

            }

        </tbody>

    </table>






</body>
</html>
